Loading...
Searching...
No Matches
XrdSsiClient.cc File Reference
`#include <cerrno>`
`#include <fcntl.h>`
`#include <cstdio>`
`#include <string>`
`#include <cstring>`
`#include <ctime>`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include "Xrd/XrdScheduler.hh"`
`#include "Xrd/XrdTrace.hh"`
`#include "XrdCl/XrdClDefaultEnv.hh"`
`#include "XrdNet/XrdNetAddr.hh"`
`#include "XrdNet/XrdNetRegistry.hh"`
`#include "XrdSsi/XrdSsiAtomics.hh"`
`#include "XrdSsi/XrdSsiLogger.hh"`
`#include "XrdSsi/XrdSsiProvider.hh"`
`#include "XrdSsi/XrdSsiServReal.hh"`
`#include "XrdSsi/XrdSsiScale.hh"`
`#include "XrdSsi/XrdSsiTrace.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysLogging.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdSys/XrdSysTrace.hh"`
Include dependency graph for XrdSsiClient.cc:

Go to the source code of this file.

## Classes

class | XrdSsiClientProvider

## Namespaces

namespace | XrdSsi

## Functions

| XrdSsi::Atomic (bool) initDone(false)
| XrdSsi::Atomic (int) contactN(1)

## Variables

XrdCl::Env * | XrdSsi::clEnvP = 0
XrdSysMutex | XrdSsi::clMutex
bool | XrdSsi::dsTTLSet = false
bool | XrdSsi::hiResTime = false
XrdSysError | XrdSsi::Log
XrdSysLogger * | XrdSsi::Logger = 0
short | XrdSsi::maxCLW = 30
short | XrdSsi::maxPEL = 10
short | XrdSsi::maxTCB = 300
XrdSsiLogger::MCB_t * | XrdSsi::msgCB = 0
XrdSsiLogger::MCB_t * | XrdSsi::msgCBCl = 0
char | XrdSsi::rDisp = rDispRR
static const int | XrdSsi::rDispNone = 0
static const int | XrdSsi::rDispRand = -1
static const int | XrdSsi::rDispRR = 1
bool | XrdSsi::reqTOSet = false
XrdScheduler * | XrdSsi::schedP = 0
XrdSsiScale | XrdSsi::sidScale
bool | XrdSsi::strTOSet = false
XrdSysTrace | XrdSsi::Trace
XrdSsiProvider * | XrdSsiProviderClient = &ClientProvider

## Variable Documentation

## XrdSsiProviderClient

XrdSsiProvider* XrdSsiProviderClient = &ClientProvider

Definition at line 399 of file XrdSsiClient.cc.